## qgit 2.6

=== CMakeLists.txt ===
#
# see http://www.kdab.com/using-cmake-with-qt-5/
# see http://stackoverflow.com/questions/16245147/unable-to-include-a-ui-form-header-of-qt5-in-cmake
# see http://www.qtcentre.org/wiki/index.php?title=Compiling_Qt4_apps_with_CMake
#
cmake_minimum_required(VERSION 2.8.7)

# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Widgets finds its own dependencies (QtGui and QtCore).
find_package(Qt5Widgets REQUIRED)

# The Qt5Widgets_INCLUDES also includes the include directories for
# dependencies QtCore and QtGui
include_directories(${Qt5Widgets_INCLUDES}) # TODO: needed?

# We need add -DQT_WIDGETS_LIB when using QtWidgets in Qt 5.
add_definitions(${Qt5Widgets_DEFINITIONS})

# Executables fail to build with Qt 5 in the default configuration
# without -fPIE. We add that here.
set(CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

include_directories(
    .
    ${CMAKE_SOURCE_DIR}/src
)

set(CPP_SOURCES
    src/annotate.cpp
    src/cache.cpp
    src/commitimpl.cpp
    src/common.cpp
    src/consoleimpl.cpp
    src/customactionimpl.cpp
    src/dataloader.cpp
    src/domain.cpp
    src/exceptionmanager.cpp
    src/filecontent.cpp
    src/FileHistory.cc
    src/filelist.cpp
    src/fileview.cpp
    src/git.cpp
    src/lanes.cpp
    src/listview.cpp
    src/mainimpl.cpp
    src/myprocess.cpp
    src/namespace_def.cpp
    src/patchcontent.cpp
    src/patchview.cpp
    src/qgit.cpp
    src/rangeselectimpl.cpp
    src/revdesc.cpp
    src/revsview.cpp
    src/settingsimpl.cpp
    src/smartbrowse.cpp
    src/treeview.cpp
)

# UIS_HDRS will be used later in add_executable
QT5_WRAP_UI(UIS_HDRS
    src/commit.ui
    src/console.ui
    src/customaction.ui
    src/fileview.ui
    src/help.ui
    src/mainview.ui
    src/patchview.ui
    src/rangeselect.ui
    src/revsview.ui
    src/settings.ui
)

# and finally an resource file
SET(RESOURCE_FILES
    ./src/icons.qrc
)

# this command will generate rules that will run rcc on all files from SAMPLE_RCS
# in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
QT5_ADD_RESOURCES(RC_SRCS ${RESOURCE_FILES})


add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})

# The Qt5Widgets_LIBRARIES variable also includes QtGui and QtCore
target_link_libraries(qgit ${Qt5Widgets_LIBRARIES})

install(TARGETS qgit DESTINATION bin)

# kate: indent-width 4; replace-tabs on;

# notes:
# http://stackoverflow.com/questions/15054117/aligning-qgraphicsitems-to-a-grid-when-dragging-and-dropping

## qgit 2.3

=== debian/changelog ===
qgit (2.3-2) unstable; urgency=low

  * Depend on git instead of git-core (Closes: #599201)
  * Fix qgit.desktop (Closes: #549648)
  * Suggest source-highlight (Closes: #547972)
  * Use git config instead of git repo-config (Closes: #626008)
  * Change source format to 3.0 (quilt)
  * Switch to debhelper compatibility level 8
  * Install the application icon and use it in qgit.desktop
  * Fix some spelling errors

 -- Andrey Rahmatullin <wrar@wrar.name>  Wed, 01 Jun 2011 21:17:16 +0600

qgit (2.3-1) unstable; urgency=low

  * New upstream release
  * Add .desktop file
  * Closes: #533161, #525331, #527911, #485930

 -- Wartan Hachaturow <wart@debian.org>  Fri, 19 Jun 2009 14:06:16 +0400

qgit (2.2-1) unstable; urgency=low

  * New upstream release
  * Closes: #456365

 -- Wartan Hachaturow <wart@debian.org>  Tue, 24 Mar 2009 19:10:51 +0300

qgit (1.5.7-1) unstable; urgency=low

  * New upstream release 
  * Closes: #441570, #441280
  * Get rid of config.sub and config.guess, Closes: #441286

 -- Wartan Hachaturow <wart@debian.org>  Thu, 13 Sep 2007 00:18:01 +0400

qgit (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Closes: #412451

 -- Wartan Hachaturow <wart@debian.org>  Sat, 17 Mar 2007 12:31:40 +0300

qgit (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Wartan Hachaturow <wart@debian.org>  Sat, 16 Sep 2006 00:15:41 +0400

qgit (1.4-1) unstable; urgency=low

  * New upstream release
  * Minor package description improvement, Closes: #373640

 -- Wartan Hachaturow <wart@debian.org>  Wed, 30 Aug 2006 22:39:49 +0400

qgit (1.3-1) unstable; urgency=low

  * New upstream release

 -- Wartan Hachaturow <wart@debian.org>  Wed, 14 Jun 2006 01:08:32 +0400

qgit (1.2-1) unstable; urgency=low

  * Initial release
  * Closes: #366160

 -- Wartan Hachaturow <wart@debian.org>  Wed,  3 May 2006 14:43:11 +0400

=== debian/control ===
Source: qgit
Section: vcs
Priority: optional
Maintainer: Wartan Hachaturow <wart@debian.org>
Uploaders: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 8), libqt4-dev (>= 4.3), libxext-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/qgit/
Vcs-Git: git://git.debian.org/collab-maint/qgit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary

Package: qgit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, git
Recommends: stgit
Suggests: source-highlight
Description: Qt application for viewing GIT trees
 With qgit you will be able to browse revision tree, view patch content
 and changed files, graphically following different development branches.
 Main features:
  - View revisions, diffs, files history, files annotation, archive tree.
  - Commit changes visually cherry picking modified files.
  - Apply or format patch series from selected commits, drag and
    drop commits between two instances of qgit.
  - qgit implements a GUI for the most common StGIT commands like push/pop
    and apply/format patches. You can also create new patches or refresh
    current top one using the same semantics of git commit, i.e.
    cherry picking single modified files.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure: configure-stamp

configure.stamp:
	dh_testdir
	qmake-qt4 qgit.pro PREFIX=/usr
	touch configure.stamp

build: build-stamp

build-stamp:  configure.stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure.stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -Rf .obj .ui .moc bin/ build/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## qgit 2.4

=== debian/changelog ===
qgit (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - update Homepage
    - bump Standards-Version to 3.9.3 (no change needed)
    - update the B-D for debhelper to >= 9
  * debian/compat:
    - bump to 9
  * Add debian/watch
  * debian/rules:
    - convert to dh(1)
    - link with --as-needed
    - enable parallel building
    - enable all hardening options
  * debian/docs:
    - package TODO.txt
  * debian/install:
    - do not install qgit binary manually
  * debian/patches:
    - add fix-format-security.patch to fix building with
      -Werror=format-security
    - drop git-repo-config-deprecated.patch, included upstream

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 15 Jun 2012 20:50:14 +0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 8), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.2
-Homepage: http://sourceforge.net/projects/qgit/
+Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
+Standards-Version: 3.9.3
+Homepage: http://libre.tibirna.org/projects/qgit
 Vcs-Git: git://git.debian.org/collab-maint/qgit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary

## qgit 2.5

=== debian/changelog ===
qgit (2.5-2) unstable; urgency=low

  * Fix the binary installaton path with recent Qt (Closes: #724814)
  * Drop stgit from Recommends
  * Use canonical paths in Vcs-* fields

 -- Andrey Rahmatullin <wrar@wrar.name>  Mon, 14 Oct 2013 23:59:26 +0600

qgit (2.5-1) unstable; urgency=low

  * Upload to unstable

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 04 May 2013 19:09:15 +0600

qgit (2.5-1~exp1) experimental; urgency=low

  * Upload to experimental
  * New upstream release
  * Bump Standards-Version to 3.9.4 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 22 Sep 2012 00:00:56 +0600

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: git://git.debian.org/collab-maint/qgit.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/qgit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
 
 Package: qgit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, git
-Recommends: stgit
 Suggests: source-highlight
 Description: Qt application for viewing GIT trees
  With qgit you will be able to browse revision tree, view patch content

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel

=== debian/watch ===
version=3
http://libre.tibirna.org/projects/qgit/news (?:.*/)?qgit-(.+)\.tar\.gz

## qgit 2.6

=== debian/changelog ===
qgit (2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.7 (no change needed)
  * Update Vcs-* fields to use HTTPS
  * Drop the menu file
  * Drop the MimeType field from .desktop as qgit cannot open directories from
    the command line anyway (Closes: #641745)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Mar 2016 15:46:03 +0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
-Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.4
+Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 9), cmake, qtbase5-dev
+Standards-Version: 3.9.7
 Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: git://anonscm.debian.org/collab-maint/qgit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
 
 Package: qgit
 Architecture: any

## qgit 2.7

=== debian/changelog ===
qgit (2.7-2) unstable; urgency=medium

  * Disable Ctrl+C shortcut for checkout (Closes: #867171).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Jul 2017 21:16:02 +0500

qgit (2.7-1) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.0.0 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Jun 2017 01:19:33 +0500

qgit (2.7-1~exp1) experimental; urgency=medium

  * New upstream release
    + fix a spelling error (Closes: #851193)
  * Upload to experimental
  * Bump the cmake version in B-D to 2.8.11
  * Switch to the debhelper compat level 10
  * Install the upstream desktop file
  * Bump Standards-Version to 3.9.8 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 04 Mar 2017 20:17:52 +0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 9), cmake, qtbase5-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.0.0
 Homepage: http://libre.tibirna.org/projects/qgit
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@

## qgit 2.8

=== debian/changelog ===
qgit (2.8-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 22 Jan 2021 12:12:12 +0800

qgit (2.8-1) unstable; urgency=medium

  * New upstream release.
    + fixes custom actions (Closes: #873621).
  * Remove Wartan Hachaturow from Maintainer.
  * Switch to the debhelper compat level 11.
  * Update Vcs-* to reflect the move to salsa.
  * Bump Standards-Version to 4.2.0 (no change needed).
  * Update Homepage.
  * Add Rules-Requires-Root: no.
  * Add a DEP3 header to remove-checkout-shortcut.patch.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 06 Aug 2018 20:09:20 +0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Wartan Hachaturow <wart@debian.org>
-Uploaders: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.0.0
-Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
+Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 11), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.2.0
+Homepage: https://github.com/tibirna/qgit
+Vcs-Git: https://salsa.debian.org/debian/qgit.git
+Vcs-Browser: https://salsa.debian.org/debian/qgit
+Rules-Requires-Root: no
 
 Package: qgit
 Architecture: any

## qgit 2.9

=== CMakeLists.txt ===
#
# see http://qt-project.org/doc/qt-5/cmake-manual.html

# see also http://www.kdab.com/using-cmake-with-qt-5/
# see also http://stackoverflow.com/questions/16245147/unable-to-include-a-ui-form-header-of-qt5-in-cmake
# see also http://www.qtcentre.org/wiki/index.php?title=Compiling_Qt4_apps_with_CMake
#
cmake_minimum_required(VERSION 2.8.11)

project(qgit)
include(GNUInstallDirs)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

option(UseQt5 "Use Qt5?" ON)
if (UseQt5)
  find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)

  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
  macro(qt_add_resources)
    qt5_add_resources(${ARGN})
  endmacro()
else()
  find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui)
  include(${QT_USE_FILE})

  macro(qt_wrap_ui)
    qt4_wrap_ui(${ARGN})
  endmacro()
  macro(qt_add_resources)
    qt4_add_resources(${ARGN})
  endmacro()
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}/src
)

set(CPP_SOURCES
    src/annotate.cpp
    src/cache.cpp
    src/commitimpl.cpp
    src/common.cpp
    src/consoleimpl.cpp
    src/customactionimpl.cpp
    src/dataloader.cpp
    src/domain.cpp
    src/exceptionmanager.cpp
    src/filecontent.cpp
    src/FileHistory.cc
    src/filelist.cpp
    src/fileview.cpp
    src/git.cpp
    src/lanes.cpp
    src/listview.cpp
    src/inputdialog.cpp
    src/mainimpl.cpp
    src/myprocess.cpp
    src/namespace_def.cpp
    src/patchcontent.cpp
    src/patchview.cpp
    src/qgit.cpp
    src/rangeselectimpl.cpp
    src/revdesc.cpp
    src/revsview.cpp
    src/settingsimpl.cpp
    src/smartbrowse.cpp
    src/treeview.cpp
)

# UIS_HDRS will be used later in add_executable
QT_WRAP_UI(UIS_HDRS
    src/commit.ui
    src/console.ui
    src/customaction.ui
    src/fileview.ui
    src/help.ui
    src/mainview.ui
    src/patchview.ui
    src/rangeselect.ui
    src/revsview.ui
    src/settings.ui
)

# and finally an resource file
SET(RESOURCE_FILES
    src/icons.qrc
)

# this command will generate rules that will run rcc on all files from SAMPLE_RCS
# in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
QT_ADD_RESOURCES(RC_SRCS ${RESOURCE_FILES})

add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})
target_link_libraries(qgit ${QT_LIBRARIES})


install(TARGETS qgit DESTINATION bin)

if (UNIX)
    install(FILES src/resources/qgit.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
    install(FILES qgit.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
    install(FILES qgit.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
endif()

# kate: indent-width 4; replace-tabs on;

# notes:
# http://stackoverflow.com/questions/15054117/aligning-qgraphicsitems-to-a-grid-when-dragging-and-dropping

=== debian/changelog ===
qgit (2.9-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 21 Jan 2021 19:26:22 -0500

qgit (2.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrey Rahmatullin ]
  * Fix loading of invalid cache file (Closes: #926327).
  * Update standards version to 4.5.1, no changes needed.
  * Switch to the debhelper compat level 13.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 21 Jan 2021 23:08:02 +0500

qgit (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Switch from debian/compat to B-D: debhelper-compat.
  * Switch to the debhelper compat level 12.
  * Update debian/watch.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Oct 2019 22:40:56 +0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 11), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.2.0
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.5.1
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
@@ -26,4 +27,3 @@
     current top one using the same semantics of git commit, i.e.
     cherry picking single modified files.
  .
-

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qgit 2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # see also http://stackoverflow.com/questions/16245147/unable-to-include-a-ui-form-header-of-qt5-in-cmake
 # see also http://www.qtcentre.org/wiki/index.php?title=Compiling_Qt4_apps_with_CMake
 #
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.10.2)
 
 project(qgit)
 include(GNUInstallDirs)
@@ -17,28 +17,8 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
-option(UseQt5 "Use Qt5?" ON)
-if (UseQt5)
-  find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
-  set(QT_LIBRARIES Qt5::Widgets)
-
-  macro(qt_wrap_ui)
-    qt5_wrap_ui(${ARGN})
-  endmacro()
-  macro(qt_add_resources)
-    qt5_add_resources(${ARGN})
-  endmacro()
-else()
-  find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui)
-  include(${QT_USE_FILE})
-
-  macro(qt_wrap_ui)
-    qt4_wrap_ui(${ARGN})
-  endmacro()
-  macro(qt_add_resources)
-    qt4_add_resources(${ARGN})
-  endmacro()
-endif()
+set(QT_MIN_VERSION 5.11.0)
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
 
 include_directories(
     ${CMAKE_SOURCE_DIR}/src
@@ -77,7 +57,7 @@
 )
 
 # UIS_HDRS will be used later in add_executable
-QT_WRAP_UI(UIS_HDRS
+qt5_wrap_ui(UIS_HDRS
     src/commit.ui
     src/console.ui
     src/customaction.ui
@@ -91,22 +71,23 @@
 )
 
 # and finally an resource file
-SET(RESOURCE_FILES
+set(RESOURCE_FILES
     src/icons.qrc
 )
 
 # this command will generate rules that will run rcc on all files from SAMPLE_RCS
 # in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
-QT_ADD_RESOURCES(RC_SRCS ${RESOURCE_FILES})
+qt5_add_resources(RC_SRCS ${RESOURCE_FILES})
 
 add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})
-target_link_libraries(qgit ${QT_LIBRARIES})
+target_link_libraries(qgit Qt5::Widgets)
 
 
 install(TARGETS qgit DESTINATION bin)
 
 if (UNIX)
     install(FILES src/resources/qgit.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
+    install(FILES src/resources/qgit.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
     install(FILES qgit.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
     install(FILES qgit.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 endif()

=== debian/changelog ===
qgit (2.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove an unnecessary constraint on B-D: cmake.
  * Remove explicit -Wl,--as-needed.
  * Add Archive to debian/upstream/metadata.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 14 Jan 2022 22:58:48 +0500

qgit (2.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 14 Jan 2022 22:32:39 +0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.5.1
+Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
+Standards-Version: 4.6.0
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qgit-$1\.tar\.gz/ \
  https://github.com/tibirna/qgit/tags .*/qgit-(\d\S+)\.tar\.gz

## qgit 2.11

=== debian/changelog ===
qgit (2.11-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * Bump Standards-Version to 4.7.2.
  * Drop Rules-Requires-Root.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 25 May 2025 15:26:22 +0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
-Rules-Requires-Root: no
 
 Package: qgit
 Architecture: any

## qgit 2.12

=== debian/changelog ===
qgit (2.12-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * Switch to X-DH-Compat: 14.
  * Switch to dh-sequence-zz-debputy.
  * Build with Qt6.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 19 Jul 2025 14:00:42 +0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: vcs
 Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
+Build-Depends: debhelper (>= 13.15.2~),
+               dh-sequence-single-binary,
+               dh-sequence-zz-debputy,
+               cmake,
+               qt6-base-dev,
+               qt6-5compat-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
+X-DH-Compat: 14
 
 Package: qgit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, git
+Depends: git
 Suggests: source-highlight
 Description: Qt application for viewing GIT trees
  With qgit you will be able to browse revision tree, view patch content

## qgit 2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,49 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
-set(QT_MIN_VERSION 5.11.0)
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
+# Select the Qt major version and its dependencies\
+set(QT_PACKAGE "Qt6" CACHE STRING "Major Qt version")
+set_property(CACHE QT_PACKAGE PROPERTY STRINGS "Qt6" "Qt5" "Qt4")
 
+find_package(QT NAMES ${QT_PACKAGE} REQUIRED)
+set(QT Qt${QT_VERSION_MAJOR})
+message(STATUS "Using ${QT}")
+
+if (QT_VERSION_MAJOR EQUAL 6)
+    set(QT_MIN_VERSION 6.2.4)
+    set(QT_MODULES Core Gui Widgets Core5Compat)
+    set(QT_LIBRARIES Qt6::Widgets Qt6::Core5Compat)
+elseif (QT_VERSION_MAJOR EQUAL 5)
+    set(QT_MIN_VERSION 5.11.0)
+    set(QT_MODULES Core Gui Widgets)
+    set(QT_LIBRARIES Qt5::Widgets)
+elseif (QT_MAJOR_VERSION EQUAL 4)
+    set(QT_MODULES QtCore QtGui)
+    include(${QT_USE_FILE})
+endif()
+
+find_package(${QT} ${QT_MIN_VERSION} REQUIRED COMPONENTS ${QT_MODULES})
+
+if (QT_VERSION VERSION_LESS 5.15)
+    if (QT_VERSION_MAJOR EQUAL 4)
+        macro(qt_wrap_ui)
+            qt4_wrap_ui(${ARGN})
+        endmacro()
+        macro(qt_add_resources)
+            qt4_add_resources(${ARGN})
+        endmacro()
+    elseif(QT_VERSION_MAJOR EQUAL 5)
+        macro(qt_wrap_ui)
+          qt5_wrap_ui(${ARGN})
+        endmacro()
+        macro(qt_add_resources)
+          qt5_add_resources(${ARGN})
+        endmacro()
+    endif()
+endif()
+
+
+# Sources
 include_directories(
     ${CMAKE_SOURCE_DIR}/src
 )
@@ -57,7 +97,7 @@
 )
 
 # UIS_HDRS will be used later in add_executable
-qt5_wrap_ui(UIS_HDRS
+qt_wrap_ui(UIS_HDRS
     src/commit.ui
     src/console.ui
     src/customaction.ui
@@ -77,11 +117,10 @@
 
 # this command will generate rules that will run rcc on all files from SAMPLE_RCS
 # in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
-qt5_add_resources(RC_SRCS ${RESOURCE_FILES})
+qt_add_resources(RC_SRCS ${RESOURCE_FILES})
 
 add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})
-target_link_libraries(qgit Qt5::Widgets)
-
+target_link_libraries(qgit ${QT_LIBRARIES})
 
 install(TARGETS qgit DESTINATION bin)

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qgit
 Section: vcs
-Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 13.15.2~),
                dh-sequence-single-binary,
